JAVA Toolkit
| home | contact

Home > Sales > FAQs > Do you really need an export license for us?



News Menu

Latest News

ECCelerate 5.01 released!

30/01/2019

We proudly present a new maintenance release of our IAIK ECCelerate™ elliptic curve library! Version 5.01 fixes minor bugs. IAIK ECCelerate™ is based on Java 6 technology and has been thoroughly optimized for speed. Currently, it supports ECDSA, EdDSA, ECDH, X25519/448, ECIES and optionally ECMQV.

IAIK-JCE 5.52 and iSaSiLk 5.2 released!

27/08/2018

The new versions of IAIK-JCE and iSaSiLk follow up the recently released new version of IAIK-ECCelerateTM (5.0). IAIK-JCE 5.52 brings some fixes and additions, and iSaSiLk 5.2 adds support for x25519 and x448 ECDHE key exchange and EdDSA signing using Curve25519 and Curve448. Furthermore iSaSiLk now supports RSA-PSS signatures.

References

Our Clients


Do you really need an export license for us?

Q:

Do you really need an export license for us?

A:

We need to get an individual export license for customers who are situated outside of the EU. However, we do NOT require an export licence if you are located in Australia, Canada, Japan, New Zealand, Norway, Switzerland (including Liechtenstein), and the United States of America (for those countries the general export authorisation EU001 is valid).


 
print    tip a friend
back to previous page back  |  top to the top of the page